Error RMAN-03002 And RMAN-06429 Registering Database In Catalog

Today I get the next error registing a new database (12.1.0.5) in a RMAN catalog;

connected to target database: FINANCIAL (DBID=5127695875)

connected to recovery catalog database
PL/SQL package RMAN.DBMS_RCVCAT version 11.02.00.04 in RCVCAT database is too old

PL/SQL package RMAN.DBMS_RCVCAT version 11.02.00.04 in RCVCAT database is too old
PL/SQL package RMAN.DBMS_RCVCAT version 11.02.00.04 in RCVCAT database is too old
RMAN-00571: ===========================================================
RMAN-00569: =============== ERROR MESSAGE STACK FOLLOWS ===============
RMAN-00571: ===========================================================
RMAN-03002: failure of allocate command at 08/26/2016 09:59:25
RMAN-06429: BCKCAT database is not compatible with this version of RMAN

This is a typical error when a new greater version database is including into the RMAN catalog. The solution is typical too, is very easy, only execute an upgrade command like show below;

 RMAN> upgrade catalog; recovery catalog owner is RMAN enter UPGRADE CATALOG command again to confirm catalog upgrade RMAN> upgrade catalog; recovery catalog upgraded to version 12.01.00.05 DBMS_RCVMAN package upgraded to version 12.01.00.05 DBMS_RCVCAT package upgraded to version 12.01.00.05 RMAN> RMAN> RMAN> register database; database registered in recovery catalog starting full resync of recovery catalog full resync complete RMAN> 

HTH – Antonio NAVARRO

 

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s